<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head><link rel="stylesheet" type="text/css" href="style.css" /><script type="text/javascript" src="highlight.js"></script></head><body><pre><span class="hs-pragma">{-# LINE 1 &quot;src/SDL/GPU/C/Initialization.hsc&quot; #-}</span><span>
</span><span id="line-1"></span><span class="hs-keyword">module</span><span> </span><span class="hs-identifier">SDL.GPU.C.Initialization</span><span> </span><span class="hs-keyword">where</span><span>
</span><span id="line-2"></span><span>
</span><span id="line-3"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-identifier">Data.Int</span></span><span>
</span><span id="line-4"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-identifier">Data.Word</span></span><span>
</span><span id="line-5"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-identifier">Foreign.C.Types</span></span><span>
</span><span id="line-6"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-identifier">Foreign.Ptr</span></span><span>
</span><span id="line-7"></span><span>
</span><span id="line-8"></span><span class="hs-keyword">import</span><span> </span><span class="hs-keyword">qualified</span><span> </span><span class="annot"><span class="hs-identifier">SDL.Raw.Types</span></span><span> </span><span class="hs-keyword">as</span><span> </span><span class="annot"><span class="hs-identifier">SDL</span></span><span>
</span><span id="line-9"></span><span>
</span><span id="line-10"></span><span class="hs-keyword">import</span><span> </span><span class="hs-keyword">qualified</span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html"><span class="hs-identifier">SDL.GPU.C.Types</span></a></span><span> </span><span class="hs-keyword">as</span><span> </span><span class="annot"><span class="hs-identifier">GPU</span></span><span>
</span><span id="line-11"></span><span class="hs-keyword">import</span><span> </span><span class="hs-keyword">qualified</span><span> </span><span class="annot"><a href="SDL.GPU.C.Bool.html"><span class="hs-identifier">SDL.GPU.C.Bool</span></a></span><span> </span><span class="hs-keyword">as</span><span> </span><span class="annot"><span class="hs-identifier">GPU</span></span><span>
</span><span id="line-12"></span><span class="hs-keyword">import</span><span> </span><span class="hs-keyword">qualified</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html"><span class="hs-identifier">SDL.GPU.C.NumericTypes</span></a></span><span> </span><span class="hs-keyword">as</span><span> </span><span class="annot"><span class="hs-identifier">GPU</span></span><span>
</span><span id="line-13"></span><span>
</span><span id="line-14"></span><span>
</span><span id="line-15"></span><span>
</span><span id="line-16"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_SetInitWindow&quot;</span></span><span> </span><span id="setInitWindow"><span class="annot"><a href="SDL.GPU.C.Initialization.html#setInitWindow"><span class="hs-identifier hs-var">setInitWindow</span></a></span></span><span>
</span><span id="line-17"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Word32</span></span><span> </span><span class="hs-comment">-- ^ windowID</span><span>
</span><span id="line-18"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-19"></span><span>
</span><span id="line-20"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_GetInitWindow&quot;</span></span><span> </span><span id="getInitWindow"><span class="annot"><a href="SDL.GPU.C.Initialization.html#getInitWindow"><span class="hs-identifier hs-var">getInitWindow</span></a></span></span><span>
</span><span id="line-21"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="annot"><span class="hs-identifier hs-type">Word32</span></span><span>
</span><span id="line-22"></span><span>
</span><span id="line-23"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_GetLinkedVersion&quot;</span></span><span> </span><span id="getLinkedVersion"><span class="annot"><a href="SDL.GPU.C.Initialization.html#getLinkedVersion"><span class="hs-identifier hs-var">getLinkedVersion</span></a></span></span><span>
</span><span id="line-24"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><span class="hs-identifier hs-type">SDL.Version</span></span><span>
</span><span id="line-25"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-26"></span><span>
</span><span id="line-27"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_SetPreInitFlags&quot;</span></span><span> </span><span id="setPreInitFlags"><span class="annot"><a href="SDL.GPU.C.Initialization.html#setPreInitFlags"><span class="hs-identifier hs-var">setPreInitFlags</span></a></span></span><span>
</span><span id="line-28"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#InitFlagEnum"><span class="hs-identifier hs-type">GPU.InitFlagEnum</span></a></span><span> </span><span class="hs-comment">-- ^ GPU_flags</span><span>
</span><span id="line-29"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-30"></span><span>
</span><span id="line-31"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_GetPreInitFlags&quot;</span></span><span> </span><span id="getPreInitFlags"><span class="annot"><a href="SDL.GPU.C.Initialization.html#getPreInitFlags"><span class="hs-identifier hs-var">getPreInitFlags</span></a></span></span><span>
</span><span id="line-32"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#InitFlagEnum"><span class="hs-identifier hs-type">GPU.InitFlagEnum</span></a></span><span>
</span><span id="line-33"></span><span>
</span><span id="line-34"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_SetRequiredFeatures&quot;</span></span><span> </span><span id="setRequiredFeatures"><span class="annot"><a href="SDL.GPU.C.Initialization.html#setRequiredFeatures"><span class="hs-identifier hs-var">setRequiredFeatures</span></a></span></span><span>
</span><span id="line-35"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#FeatureEnum"><span class="hs-identifier hs-type">GPU.FeatureEnum</span></a></span><span> </span><span class="hs-comment">-- ^ GPU_flags</span><span>
</span><span id="line-36"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-37"></span><span>
</span><span id="line-38"></span><span class="annot"><a href="SDL.GPU.C.Initialization.html#rendererOrderMax"><span class="hs-identifier hs-type">rendererOrderMax</span></a></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Int</span></span><span>
</span><span id="line-39"></span><span id="rendererOrderMax"><span class="annot"><span class="annottext">rendererOrderMax :: Int
</span><a href="SDL.GPU.C.Initialization.html#rendererOrderMax"><span class="hs-identifier hs-var hs-var">rendererOrderMax</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Int
</span><span class="hs-number">10</span></span><span>
</span><span id="line-40"></span><span class="hs-pragma">{-# LINE 40 &quot;src/SDL/GPU/C/Initialization.hsc&quot; #-}</span><span>
</span><span id="line-40"></span><span>
</span><span id="line-41"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_GetRequiredFeatures&quot;</span></span><span> </span><span id="getRequiredFeatures"><span class="annot"><a href="SDL.GPU.C.Initialization.html#getRequiredFeatures"><span class="hs-identifier hs-var">getRequiredFeatures</span></a></span></span><span>
</span><span id="line-42"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#FeatureEnum"><span class="hs-identifier hs-type">GPU.FeatureEnum</span></a></span><span>
</span><span id="line-43"></span><span>
</span><span id="line-44"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_GetDefaultRendererOrder&quot;</span></span><span> </span><span id="getDefaultRendererOrder"><span class="annot"><a href="SDL.GPU.C.Initialization.html#getDefaultRendererOrder"><span class="hs-identifier hs-var">getDefaultRendererOrder</span></a></span></span><span>
</span><span id="line-45"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><span class="hs-identifier hs-type">Int</span></span><span> </span><span class="hs-comment">-- ^ order_size</span><span>
</span><span id="line-46"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#RendererID"><span class="hs-identifier hs-type">GPU.RendererID</span></a></span><span> </span><span class="hs-comment">-- ^ order</span><span>
</span><span id="line-47"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-48"></span><span>
</span><span id="line-49"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_GetRendererOrder&quot;</span></span><span> </span><span id="getRendererOrder"><span class="annot"><a href="SDL.GPU.C.Initialization.html#getRendererOrder"><span class="hs-identifier hs-var">getRendererOrder</span></a></span></span><span>
</span><span id="line-50"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><span class="hs-identifier hs-type">Int</span></span><span> </span><span class="hs-comment">-- ^ order_size</span><span>
</span><span id="line-51"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#RendererID"><span class="hs-identifier hs-type">GPU.RendererID</span></a></span><span> </span><span class="hs-comment">-- ^ order</span><span>
</span><span id="line-52"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-53"></span><span>
</span><span id="line-54"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_SetRendererOrder&quot;</span></span><span> </span><span id="setRendererOrder"><span class="annot"><a href="SDL.GPU.C.Initialization.html#setRendererOrder"><span class="hs-identifier hs-var">setRendererOrder</span></a></span></span><span>
</span><span id="line-55"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Int</span></span><span> </span><span class="hs-comment">-- ^ order_size</span><span>
</span><span id="line-56"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#RendererID"><span class="hs-identifier hs-type">GPU.RendererID</span></a></span><span> </span><span class="hs-comment">-- ^ order</span><span>
</span><span id="line-57"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-58"></span><span>
</span><span id="line-59"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_Init&quot;</span></span><span> </span><span id="init"><span class="annot"><a href="SDL.GPU.C.Initialization.html#init"><span class="hs-identifier hs-var">init</span></a></span></span><span>
</span><span id="line-60"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Word16</span></span><span> </span><span class="hs-comment">-- ^ w</span><span>
</span><span id="line-61"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Word16</span></span><span> </span><span class="hs-comment">-- ^ h</span><span>
</span><span id="line-62"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#WindowFlagEnum"><span class="hs-identifier hs-type">GPU.WindowFlagEnum</span></a></span><span>
</span><span id="line-63"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Target"><span class="hs-identifier hs-type">GPU.Target</span></a></span><span class="hs-special">)</span><span>
</span><span id="line-64"></span><span>
</span><span id="line-65"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_InitRenderer&quot;</span></span><span> </span><span id="initRenderer"><span class="annot"><a href="SDL.GPU.C.Initialization.html#initRenderer"><span class="hs-identifier hs-var">initRenderer</span></a></span></span><span>
</span><span id="line-66"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#RendererEnum"><span class="hs-identifier hs-type">GPU.RendererEnum</span></a></span><span>
</span><span id="line-67"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Uint16"><span class="hs-identifier hs-type">GPU.Uint16</span></a></span><span> </span><span class="hs-comment">-- ^ w</span><span>
</span><span id="line-68"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Uint16"><span class="hs-identifier hs-type">GPU.Uint16</span></a></span><span> </span><span class="hs-comment">-- ^ h</span><span>
</span><span id="line-69"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#WindowFlagEnum"><span class="hs-identifier hs-type">GPU.WindowFlagEnum</span></a></span><span>
</span><span id="line-70"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Target"><span class="hs-identifier hs-type">GPU.Target</span></a></span><span class="hs-special">)</span><span>
</span><span id="line-71"></span><span>
</span><span id="line-72"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;GPU_Adapter_InitRendererByID&quot;</span></span><span> </span><span id="initRendererByID"><span class="annot"><a href="SDL.GPU.C.Initialization.html#initRendererByID"><span class="hs-identifier hs-var">initRendererByID</span></a></span></span><span>
</span><span id="line-73"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#RendererID"><span class="hs-identifier hs-type">GPU.RendererID</span></a></span><span>
</span><span id="line-74"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Uint16"><span class="hs-identifier hs-type">GPU.Uint16</span></a></span><span> </span><span class="hs-comment">-- ^ w</span><span>
</span><span id="line-75"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Uint16"><span class="hs-identifier hs-type">GPU.Uint16</span></a></span><span> </span><span class="hs-comment">-- ^ h</span><span>
</span><span id="line-76"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#WindowFlagEnum"><span class="hs-identifier hs-type">GPU.WindowFlagEnum</span></a></span><span>
</span><span id="line-77"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Target"><span class="hs-identifier hs-type">GPU.Target</span></a></span><span class="hs-special">)</span><span>
</span><span id="line-78"></span><span>
</span><span id="line-79"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_IsFeatureEnabled&quot;</span></span><span> </span><span id="isFeatureEnabled"><span class="annot"><a href="SDL.GPU.C.Initialization.html#isFeatureEnabled"><span class="hs-identifier hs-var">isFeatureEnabled</span></a></span></span><span>
</span><span id="line-80"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#FeatureEnum"><span class="hs-identifier hs-type">GPU.FeatureEnum</span></a></span><span>
</span><span id="line-81"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Bool.html#Bool"><span class="hs-identifier hs-type">GPU.Bool</span></a></span><span>
</span><span id="line-82"></span><span>
</span><span id="line-83"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_CloseCurrentRenderer&quot;</span></span><span> </span><span id="closeCurrentRenderer"><span class="annot"><a href="SDL.GPU.C.Initialization.html#closeCurrentRenderer"><span class="hs-identifier hs-var">closeCurrentRenderer</span></a></span></span><span>
</span><span id="line-84"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-85"></span><span>
</span><span id="line-86"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_Quit&quot;</span></span><span> </span><span id="quit"><span class="annot"><a href="SDL.GPU.C.Initialization.html#quit"><span class="hs-identifier hs-var">quit</span></a></span></span><span>
</span><span id="line-87"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-88"></span></pre></body></html>